%define name fileschanged
%define version 0.6.0 
%define release 2mdk

Summary: The fileschanged utility reports when files have been altered
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: File tools
URL: http://fileschanged.sourceforge.net
Source: http://mesh.dl.sourceforge.net/sourceforge/fileschanged/%{name}-%{version}.tar.gz
Source1: help2man
Patch0:	 fileschanged-help2man.patch
Requires: gamin 
Buildrequires: libgamin-devel
Prereq: rpm-helper
BuildRoot: %{_tmppath}/%{name}-buildroot


%description
This software is a client to the FAM (File Alteration Monitor) server.
Here's how the fileschanged FAM client works: 
you give it some filenames on the command line, it monitors those for changes.
When it discovers that a file has changed (or has been altered),
it displays the filename on the standard-output.

%prep
%setup -q
%patch0
install %SOURCE1 $RPM_BUILD_DIR/%{name}-%{version}/man

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/NEWS

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files
%defattr(-,root,root)
%doc README
%{_bindir}/fileschanged
%{_datadir}/fileschanged
%{_mandir}/man1/*
%{_datadir}/info/*

%changelog
* Fri Jan 07 2005 Erwan Velu <erwan@seanodes.com> 0.6.0-2mdk
- Rebuild against gamin
* Mon Aug 16 2004 Erwan Velu <erwan@mandrakesoft.com> 0.6.0-1mdk
- Initial Release
